import request from '@/utils/request'

//航司查询
export function AirlinesInquiry(params) {
  return request({
    url: '/baggageDC/openApi/AircompanyList',
    method: 'Post',
    data: params
  })
}

//航司新增编辑
export function AddAirlines(params) {
  return request({
    url: '/baggageDC/openApi/AircompanySave',
    method: 'Post',
    data: params
  })
}

//航司删除
export function DelAirlines(params) {
  return request({
    url: '/baggageDC/openApi/AirCompanyDelete',
    method: 'Post',
    data: params
  })
}

//机场信息列表
export function AirportsList(params) {
  return request({
    url: '/baggageDC/openApi/AirportList',
    method: 'Post',
    data: params
  })
}

//保存机场信息
export function AddAriports(params) {
  return request({
    url: '/baggageDC/openApi/AirportSave',
    method: 'Post',
    data: params
  })
}

//删除机场信息
export function DelAriports(params) {
  return request({
    url: '/baggageDC/openApi/AirportDelete',
    method: 'Post',
    data: params
  })
}

//航站信息列表
export function buildLists(params) {
  return request({
    url: '/baggageDC/openApi/BuildList',
    method: 'Post',
    data: params
  })
}

//航站节点-选择用
export function Terminalnodeer(params) {
  return request({
    url: '/baggageDC/openApi/search/byBuild',
    method: 'post',
    data: params
  })
}
//航站信息保存
export function AddBuild(params) {
  return request({
    url: '/baggageDC/openApi/AportBuildInfoSave',
    method: 'Post',
    data: params
  })
}

//航站信息删除
export function DelBuild(params) {
  return request({
    url: '/baggageDC/openApi/BuildDelete',
    method: 'Post',
    data: params
  })
}

//追踪位置信息列表
export function LocatioList(params) {
  return request({
    url: '/baggageDC/openApi/BuildLocationList',
    method: 'Post',
    data: params
  })
}

//新增追踪位置信息
export function AddLocation(params) {
  return request({
    url: '/baggageDC/openApi/LocationSave',
    method: 'Post',
    data: params
  })
}

//追踪位置删除
export function DelLocation(params) {
  return request({
    url: '/baggageDC/openApi/LocationDelete',
    method: 'Post',
    data: params
  })
}

//报警预警列表
export function warningList(params) {
  return request({
    url: '/baggageDC/openApi/WarningSceneList',
    method: 'Post',
    data: params
  })
}

//新增报警预警
export function AddWarning(params) {
  return request({
    url: '/baggageDC/openApi/WarningSceneSave',
    method: 'Post',
    data: params
  })
}

//报警预警状态
export function WarningStatus(params) {
  return request({
    url: '/baggageDC/openApi/UpdateWarningSceneStatus',
    method: 'Post',
    data: params
  })
}

//报警预警删除
export function DelWarning(params) {
  return request({
    url: '/baggageDC/openApi/WarningSceneDelete',
    method: 'Post',
    data: params
  })
}
//报警预警场景列表
export function UserWarningList(params) {
  return request({
    url: '/baggageDC/openApi/WarningSceneConditionList',
    method: 'Post',
    data: params
  })
}
//报警预警场景条件保存
export function AddUserWarning(params) {
  return request({
    url: '/baggageDC/openApi/WarningSceneConditionSave',
    method: 'Post',
    data: params
  })
}

//报警预警场景条件删除
export function DelUserWarning(params) {
  return request({
    url: '/baggageDC/openApi/WarningSceneConditionDelete',
    method: 'Post',
    data: params
  })
}



//节点信息列表
export function traceNodeslist(params) {
  return request({
    url: '/baggageDC/openApi/TraceNodesList',
    method: 'Post',
    data: params
  })
}

//开始位置
export function Alarmlocation(params) {
  return request({
    url: '/baggageDC/openApi/TracelocationListByairPortCode',
    method: 'Post',
    data: params
  })
}
